final-empty:echo zp | ./vectorTest
final-create:echo c 5 2 zp | ./vectorTest
final-store:echo c 5 2 s 3 7 zp | ./vectorTest
final-fetch:echo c 5 2 s 3 7 f 3 zp | ./vectorTest
final-bounds:echo c 5 2 f 0 f 4 f 5 f 12 zp | ./vectorTest
final-storeBounds:echo c 5 2 s 0 0 s 3 0 s 5 0 zp | ./vectorTest
final-insert:echo c 5 2 i 5 3 i 0 12 i 3 6 i 6 4 zp | ./vectorTest
final-insertBounds:echo c 5 2 i 12 6 zp | ./vectorTest
final-bigSet:(echo c 10000001 12; for i in `seq 0 2 1000000 `; do echo s $i $i; done; echo zp) | ./vectorTest
final-bigFetch:(echo c 10000001 12; for i in `seq 0 2 1000000 `; do echo s $i $i; echo f $i; done; echo zp) | ./vectorTest
final-bigInsertFront:(for i in `seq 1000000`; do echo i 0 $i; done; echo zp) | ./vectorTest
final-bigInsertBack:(for i in `seq 0 1000000`; do echo i 0 $i; done; echo zp) | ./vectorTest
final-bigInsertMiddle:(echo c 500000 -1; for i in `seq 0 2 500000`; do echo i $i $i; done; echo zp) | ./vectorTest
final-valgrind-create:echo c 50 2 | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./vectorTest > /dev/null
final-valgrind-bounds:echo c 5 2 f 0 f 5 s 2 3 s 0 3 s 6 12 i 5 0 i 0 0 s 5 2 | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./vectorTest > /dev/null
final-valgrind-inserts:echo c 5 2 i 5 6 i 0 3 i 4 2 | valgrind -q --tool=memcheck --partial-loads-ok=yes --leak-check=yes --track-origins=yes ./vectorTest > /dev/null
